# Entering ctx.mk

# Entering /project/linux/817/src_000822/buildtools/mkfile/prefix.mk

# Entering /project/linux/817/src_000822/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
LIB_EXT=a
CC_EXT=cpp
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql
SYM_EXT=sym
JAVA_EXT=java
CLASS_EXT=class
JAR_EXT=jar
ZIP_EXT=zip

LIB_PREFIX=lib
LDLIBFLAG=-l
LDPATHFLAG=-L
PATHSEP= :

AR=ar
AS=as
AWK=awk
CAT=cat
CC=cc
CCC=CC
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MKDIRP=mkdir -p
MV=mv
NM=nm
PERL=perl
RM=rm
RMF=rm -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
TR=tr
XARGS=xargs
LS=ls

BINHOME=$(ORACLE_HOME)/bin/
LIBDIR=lib
LIBHOME=$(ORACLE_HOME)/$(LIBDIR)/

PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODLIBHOME=$(PRODHOME)$(LIBDIR)/
PRODSOHOME=$(PRODLIBHOME)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENAGTSH=$(BINHOME)genagtsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab

ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? $(RANLIB)

JARCHIVE_OBJ=$(JAR) cv0f $@ $(JPKG_FILES) $(EXTRA_CLASS_FILES)
JARCREATE=$(JAR) cv0f
JARDELETE=$(ECHO) "no such thing"
JAREXTRACT=$(JAR) xf
JARPRINT=$(JAR) tvf
JARREPLACE=$(JAR) uf

MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGS) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
CFLAGSCC=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGSCC) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS)

LD_SHARED_FLAG=$(SHARED_CFLAG)

LDCCOM=$(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
LDCCOMCC=$(PURECMDS) $(CCC) $(GFLAG) $(CCFLAGSCC) $(EXOSFLAGS) $(LDFLAGS)
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)
LINK=$(LDCCOM)
LINKCC=$(LDCCOMCC)
LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME) $(LDPATHFLAG)$(LIBHOME)/stubs/ 
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
LINKLDLIBS=$(LDLIBS)
COBLDLIBS=$(LDLIBS)

SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`

NAETTOBJS=$(NAUTAB) $(NAETAB) $(NAEDHS)
TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
ORACLETTLIBS1=$(NTZEOBJ) $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBWTC) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
       $(LLIBRDBMS_CLT) $(CORELIBS)
ORACLETTLIBS=$(KPUADEF) $(ORACLETTLIBS1)
STATICTTLIBS=$(ORACLETTLIBS) $(LDLIBS)
TTLIBS=$(LLIBCLNTSH) $(STATICTTLIBS)
DEVTTLIBS=$(TTLIBS)
LINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(LINKLDLIBS)
COBTTLIBS=$(ORACLETTLIBS) $(COBLDLIBS)

STATIC_ORACLETTLIBS=$(KPUADEF) $(NTZEOBJ) $(NETLIBS) $(LIBRDBMS_CLT) \
    $(LIBMM) $(CORELIBS) $(NETLIBS) $(LIBRDBMS_CLT) $(LIBPLS_CLT) \
    $(LIBEPC) $(CORELIBS) $(LIBRDBMS_CLT) $(CORELIBS)

ORACLESTLIBS=$(SGL_ON) $(RDBMSLIB)kpuasvr.$(OBJ_EXT) $(CONFIG) $(LLIBSERVER) $(LLIBSKGXP) $(LLIBPLSF) \
       $(LLIBSLAX) \
       $(LIBGENERIC) $(LLIBCLIENT) $(LLIBWTC) $(LLIBMM) $(LLIBKNLOPT) $(LLIBPLSB)\
       $(LLIBSERVER) $(LLIBEXTP) $(NAUTAB) $(NAETAB) $(NAEDHS) $(NTZEOBJ) \
       $(NETLIBS) $(LLIBCLIENT) \
       $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
       $(LLIBJAVAVMORJOX) \
       $(NETLIBS) $(LLIBEPC) $(SDOLIBS) $(LLIBCORE) $(LLIBVSN) $(LLIBCOMMON)\
       $(LIBGENERIC) $(LLIBKNLOPT) $(NMLIBS) $(CARTLIBS) $(CORELIBS) $(LLIBWWG)
STLIBS=$(ORACLESTLIBS) $(LDLIBS)
LINKSTLIBS=$(ORACLESTLIBS) $(LINKLDLIBS)

I_SYM=-I

# Exiting /project/linux/817/src_000822/buildtools/mkfile/defs.mk
# Entering /project/linux/817/src_000822/buildtools/mkfile/platform.mk

FAMILY=unix
PLATFORM=linux

STATIC_ORACLETTLIBS=$(LLIBCLNTST) $(LDFLAGSLIST)

MOTIFHOME=
OPENWINHOME=
GUILIBHOME= 

DIRSEP=/


GMAKE=make
LMAKE=make
FIND=/usr/bin/find 
PS=ps -feda

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $? ; $(RANLIB) $(LIB) ; else echo ""; fi`

JARCHIVE=@`if echo ${JLIB} | egrep '\.jar' > /dev/null 2>&1;then $(JARCREATE) $(JLIB) $? ; else echo ""; fi`

GROUP=/etc/group

LINK=$(PURECMDS) gcc $(LDFLAGS) $(COMPOBJS)

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm -lXext -lX11 -lm
XLIBS=
EXOSFLAGS=

COMPOBJS=

SHAREDLIBPATH = -Wl,-rpath,$(ORACLE_HOME)/lib
EXSYSLIBS=-ldl

LLPPATH=$(LD_LIBRARYPATH)
LINKEXSYSLIBS= $(SHAREDLIBPATH):/lib:/usr/lib

LINKLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(LINKEXSYSLIBS) $(MATHLIB) $(USRLIBS) $(LDLIBS)

OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZE=$(OPTIMIZE3)
OPTIMIZE0=-O0
OPTIMIZEG=-g

ROFLAGS=-c
SPFLAGS=-DLINUX -D_GNU_SOURCE -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DNS_THREADS

AR=/usr/bin/ar
AS=/usr/bin/as
LD=/usr/bin/ld
NM=/usr/bin/nm
TR=/bin/tr
CPP=/lib/cpp
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

KPIC_OPTION=-fPIC

CCC=/usr/bin/g++

ASFLAGS=
ASPFLAGS=
NOKPIC_ASFLAGS=
ASRO=$(AS) $<
ASROFLAGS=$(ASFLAGS)

ANSI=-ansi

COMPXA=$(subst -ansi,,$(COMPO))
COMPXACC=$(subst -ansi,,$(COMPOCC))


MR=
NOKPIC_CCFLAGS=
CCFLAGS= $(NOKPIC_CCFLAGS) $(KPIC_OPTION)
FASTCCFLAGS= $(NOKPIC_CCFLAGS)

SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

# Exiting /project/linux/817/src_000822/buildtools/mkfile/platform.mk
# Entering /project/linux/817/src_000822/buildtools/mkfile/rules.mk
 
# Exiting /project/linux/817/src_000822/buildtools/mkfile/rules.mk
# Exiting /project/linux/817/src_000822/buildtools/mkfile/prefix.mk
# Entering /project/linux/817/src_000822/oracore/exports.mk

COREHOME    = $(ORACLE_HOME)/oracore/
ORACOREHOME = $(COREHOME)



CORE_LIB_NAME     = core
CORE_LIB_VER      = 8
CORE_LIB          = $(CORE_LIB_NAME)$(CORE_LIB_VER)

LIBCORE_STATIC    = $(LIB_PREFIX)$(CORE_LIB).$(LIB_EXT)
LIBCORE_SHARED    = $(LIB_PREFIX)$(CORE_LIB).$(SO_EXT)
LIBCORE_SLH       = $(LIB_PREFIX)$(CORE_LIB).$(ILIB_EXT)

LIBCORE           = $(LIBHOME)$(LIBCORE_STATIC)
LLIBCORE          = $(LDLIBFLAG)$(CORE_LIB)

LIBCORE_ARC_LIB   = $(LIBCORE)
LIBCORE_SHARE_LIB = $(LIBHOME)$(LIBCORE_SHARED)


SLTS_LIB_NAME     = slts
SLTS_LIB_VER      = $(CORE_LIB_VER)
SLTS_LIB          = $(SLTS_LIB_NAME)$(SLTS_LIB_VER)

LIBSLTS_STATIC    = $(LIB_PREFIX)$(SLTS_LIB).$(LIB_EXT)
LIBSLTS_SHARED    = $(LIB_PREFIX)$(SLTS_LIB).$(SO_EXT)
LIBSLTS_SLH       = $(LIB_PREFIX)$(SLTS_LIB).$(ILIB_EXT)

LIBSLTS           = $(LIBHOME)$(LIBSLTS_STATIC)
LLIBSLTS          = $(LDLIBFLAG)$(SLTS_LIB)

LIBSLTS_ARC_LIB   = $(LIBSLTS)
LIBSLTS_SHARE_LIB = $(LIBHOME)$(LIBSLTS_SHARED)


SLF_LIB_NAME     = slf
SLF_LIB_VER      = $(CORE_LIB_VER)
SLF_LIB          = $(SLF_LIB_NAME)$(SLF_LIB_VER)

LIBSLF_STATIC    = $(LIB_PREFIX)$(SLF_LIB).$(LIB_EXT)
LIBSLF_SHARED    = $(LIB_PREFIX)$(SLF_LIB).$(SO_EXT)
LIBSLF_SLH       = $(LIB_PREFIX)$(SLF_LIB).$(ILIB_EXT)

LIBSLF           = $(LIBHOME)$(LIBSLF_STATIC)
LLIBSLF          = $(LDLIBFLAG)$(SLF_LIB)

LIBSLF_ARC_LIB   = $(LIBSLF)
LIBSLF_SHARE_LIB = $(LIBHOME)$(LIBSLF_SHARED)


XB8_LIB_NAME     = xb8
XB8_LIB_VER      = $(CORE_LIB_VER)
XB8_LIB          = $(XB8_LIB_NAME)$(XB8_LIB_VER)

LIBXB8_STATIC    = $(LIB_PREFIX)$(XB8_LIB).$(LIB_EXT)
LIBXB8_SHARED    = $(LIB_PREFIX)$(XB8_LIB).$(SO_EXT)
LIBXB8_SLH       = $(LIB_PREFIX)$(XB8_LIB).$(ILIB_EXT)

LIBXB8           = $(LIBHOME)$(LIBXB8_STATIC)
LLIBXB8          = $(LDLIBFLAG)$(XB8_LIB)

LIBXB8_ARC_LIB   = $(LIBXB8)
LIBXB8_SHARE_LIB = $(LIBHOME)$(LIBXB8_SHARED)


LEH_LIB_NAME     = leh
LEH_LIB_VER      = $(CORE_LIB_VER)
LEH_LIB          = $(LEH_LIB_NAME)$(LEH_LIB_VER)

LIBLEH_STATIC    = $(LIB_PREFIX)$(LEH_LIB).$(LIB_EXT)
LIBLEH_SHARED    = $(LIB_PREFIX)$(LEH_LIB).$(SO_EXT)
LIBLEH_SLH       = $(LIB_PREFIX)$(LEH_LIB).$(ILIB_EXT)

LIBLEH           = $(LIBHOME)$(LIBLEH_STATIC)
LLIBLEH          = $(LDLIBFLAG)$(LEH_LIB)

LIBLEH_ARC_LIB   = $(LIBLEH)
LIBLEH_SHARE_LIB = $(LIBHOME)$(LIBLEH_SHARED)


XML_LIB_NAME     = xml
XML_LIB_VER      = $(CORE_LIB_VER)
XML_LIB          = $(XML_LIB_NAME)$(XML_LIB_VER)

LIBXML_STATIC    = $(LIB_PREFIX)$(XML_LIB).$(LIB_EXT)
LIBXML_SHARED    = $(LIB_PREFIX)$(XML_LIB).$(SO_EXT)
LIBXML_SLH       = $(LIB_PREFIX)$(XML_LIB).$(ILIB_EXT)

LIBXML           = $(LIBHOME)$(LIBXML_STATIC)
LLIBXML          = $(LDLIBFLAG)$(XML_LIB)

LIBXML_ARC_LIB	 = $(LIBXML)
LIBXML_SHARE_LIB = $(LIBHOME)$(LIBXML_SHARED)


XMLCG_LIB_NAME     = xmlg
XMLCG_LIB_VER      = $(CORE_LIB_VER)
XMLCG_LIB          = $(XMLCG_LIB_NAME)$(XMLCG_LIB_VER)

LIBXMLCG_STATIC    = $(LIB_PREFIX)$(XMLCG_LIB).$(LIB_EXT)
LIBXMLCG_SHARED    = $(LIB_PREFIX)$(XMLCG_LIB).$(SO_EXT)
LIBXMLCG_SLH       = $(LIB_PREFIX)$(XMLCG_LIB).$(ILIB_EXT)

LIBXMLCG           = $(LIBHOME)$(LIBXMLCG_STATIC)
LLIBXMLCG          = $(LDLIBFLAG)$(XMLCG_LIB)

LIBXMLCG_ARC_LIB   = $(LIBXMLCG)
LIBXMLCG_SHARE_LIB = $(LIBHOME)$(LIBXMLCG_SHARED)


XML815C_LIB_NAME     = xmlc
XML815C_LIB_VER      = $(CORE_LIB_VER)
XML815C_LIB          = $(XML815C_LIB_NAME)$(XML815C_LIB_VER)

LIBXML815C_STATIC    = $(LIB_PREFIX)$(XML815C_LIB).$(LIB_EXT)
LIBXML815C_SHARED    = $(LIB_PREFIX)$(XML815C_LIB).$(SO_EXT)
LIBXML815C_SLH       = $(LIB_PREFIX)$(XML815C_LIB).$(ILIB_EXT)

LIBXML815C           = $(LIBHOME)$(LIBXML815C_STATIC)
LLIBXML815C          = $(LDLIBFLAG)$(XML815C_LIB)

LIBXML815C_ARC_LIB   = $(LIBXML815C)
LIBXML815C_SHARE_LIB = $(LIBHOME)$(LIBXML815C_SHARED)


XML816C_LIB_NAME     = xmlc
XML816C_LIB_VER      = $(CORE_LIB_VER)
XML816C_LIB          = $(XML816C_LIB_NAME)$(XML816C_LIB_VER)

LIBXML816C_STATIC    = $(LIB_PREFIX)$(XML816C_LIB).$(LIB_EXT)
LIBXML816C_SHARED    = $(LIB_PREFIX)$(XML816C_LIB).$(SO_EXT)
LIBXML816C_SLH       = $(LIB_PREFIX)$(XML816C_LIB).$(ILIB_EXT)

LIBXML816C           = $(LIBHOME)$(LIBXML816C_STATIC)
LLIBXML816C          = $(LDLIBFLAG)$(XML816C_LIB)

LIBXML816C_ARC_LIB   = $(LIBXML816C)
LIBXML816C_SHARE_LIB = $(LIBHOME)$(LIBXML816C_SHARED)


S0MAIN   = $(LIBHOME)s0main.$(OBJ_EXT)
S1MAIN_C = $(COREHOME)src/corehl/lpm/sosd/main/s1main.c
SCOREPT  = $(LIBHOME)scorept.$(OBJ_EXT)
SSCOREED = $(LIBHOME)sscoreed.$(OBJ_EXT)

COREPUBLIC=$(COREHOME)include $(COREHOME)public/

ORACOREPUBH=$(I_SYM)$(COREHOME)include $(I_SYM)$(COREHOME)public $(I_SYM)$(COREHOME)port/include


CORELIBD = $(LIBNLSRTL) $(LIBCV6) $(LIBCORE) $(LIBNLSRTL) $(LIBCORE) \
             $(LIBNLSRTL) 
CORELIBS = $(LLIBNLSRTL) $(LLIBCV6) $(LLIBCORE) $(LLIBNLSRTL) $(LLIBCORE) \
             $(LLIBNLSRTL) 


# Entering /project/linux/817/src_000822/oracore/s_exports.mk
 
# Exiting /project/linux/817/src_000822/oracore/s_exports.mk
# Exiting /project/linux/817/src_000822/oracore/exports.mk
# Entering /project/linux/817/src_000822/nlsrtl/exports.mk

NLSRTLHOME= $(ORACLE_HOME)/nlsrtl/


ORA_NLS = $(ORACLE_HOME)/ocommon/nls/admin/data/
ORA_NLS33 = $(ORACLE_HOME)/ocommon/nls/admin/data/

LIBNLSRTLNAME = nls8
LIBNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)
LLIBNLSRTL= $(LDLIBFLAG)$(LIBNLSRTLNAME)$(LIB_SUFFIX)

NLSRTLPUBH = $(I_SYM)$(NLSRTLHOME)include

JNLSHOME = $(ORACLE_HOME)/nlsrtl3/java
JNLSCLASSES = $(ORACLE_HOME)/nlsrtl/lib/jnls.zip
JNLSCHARSET = $(ORACLE_HOME)/nlsrtl/lib/jnls_charset.zip

# Entering /project/linux/817/src_000822/nlsrtl/s_exports.mk


# Exiting /project/linux/817/src_000822/nlsrtl/s_exports.mk
# Exiting /project/linux/817/src_000822/nlsrtl/exports.mk
# Entering /project/linux/817/src_000822/rdbms/exports.mk


RDBMS_VERSION = 8
LIBSERVERNAME=server$(RDBMS_VERSION)
LIBSERVER=$(LIBHOME)$(LIB_PREFIX)$(LIBSERVERNAME).$(LIB_EXT)
LLIBSERVER=$(LDLIBFLAG)$(LIBSERVERNAME)$(LIB_SUFFIX)

LIBCLIENTNAME=client$(RDBMS_VERSION)
LIBCLIENT=$(LIBHOME)$(LIB_PREFIX)$(LIBCLIENTNAME).$(LIB_EXT)
LLIBCLIENT=$(LDLIBFLAG)$(LIBCLIENTNAME)

LIBCLNTSTNAME=clntst$(RDBMS_VERSION)
LIBCLNTST=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSTNAME).$(LIB_EXT)
LLIBCLNTST=$(LDLIBFLAG)$(LIBCLNTSTNAME)

LIBGENERICNAME=generic$(RDBMS_VERSION)
LIBGENERIC=$(LIBHOME)$(LIB_PREFIX)$(LIBGENERICNAME).$(LIB_EXT)
LLIBGENERIC=$(LDLIBFLAG)$(LIBGENERICNAME)

LIBDSBTSHNAME=dsbtsh$(RDBMS_VERSION)
LIBDSBTSH=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDSBTSHNAME).$(SO_EXT)

LIBOBKSHNAME=obk
LIBOBKSH=$(RDBMSLIB)$(LIB_PREFIX)$(LIBOBKSHNAME).$(SO_EXT)

LIBSKGXPNAME=skgxp$(RDBMS_VERSION)
LIBSKGXP=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXPNAME).$(SKGXP_EXT)
LLIBSKGXP=$(LDLIBFLAG)$(LIBSKGXPNAME)

LIBSKGXP_CLT=
LLIBSKGXP_CLT=

LIBCOMMONNAME=common$(RDBMS_VERSION)
LIBCOMMON=$(LIBHOME)$(LIB_PREFIX)$(LIBCOMMONNAME).$(LIB_EXT)
LLIBCOMMON=$(LDLIBFLAG)$(LIBCOMMONNAME)

LIBVSNNAME=vsn$(RDBMS_VERSION)
LIBVSN=$(LIBHOME)$(LIB_PREFIX)$(LIBVSNNAME).$(LIB_EXT)
LLIBVSN=$(LDLIBFLAG)$(LIBVSNNAME)

LIBAGENTNAME=agent$(RDBMS_VERSION)
LIBAGENT=$(LIBHOME)$(LIB_PREFIX)$(LIBAGENTNAME).$(LIB_EXT)
LLIBAGENT=$(LDLIBFLAG)$(LIBAGENTNAME)

LIBDBTOOLSNAME=dbtools$(RDBMS_VERSION)
LIBDBTOOLS=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDBTOOLSNAME).$(LIB_EXT)
LLIBDBTOOLS=$(LDLIBFLAG)$(LIBDBTOOLSNAME)

LIBWTCNAME=wtc$(RDBMS_VERSION)
LIBWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(LIB_EXT)
LLIBWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBWTCSERVERNAME=wtcserver$(RDBMS_VERSION)
LIBWTCSERVER=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCSERVERNAME).$(LIB_EXT)
LLIBWTCSERVER=$(LDLIBFLAG)$(LIBWTCSERVERNAME)

DLMHOME=$(ORACLE_HOME)/odlm/

SKGXNS=$(RDBMSLIB)skgxns.$(OBJ_EXT)
SKGXND=$(RDBMSLIB)skgxnd.$(OBJ_EXT)
SKGXN=$(RDBMSLIB)skgxn.$(OBJ_EXT)

KPUASVR = $(RDBMSLIB)kpuasvr.$(OBJ_EXT)
KPUADEF = $(RDBMSLIB)kpuadef.$(OBJ_EXT)

LIBDLMNAME=udlm
LIBDLM=$(SKGXN) $(LIBHOME)$(LIB_PREFIX)$(LIBDLMNAME).$(LIB_EXT)
LLIBDLM=$(SKGXN) $(LDLIBFLAG)$(LIBDLMNAME)

LIBNM=$(LIBDLM)
LLIBNM=$(LLIBDLM)
NMLIBLIST=$(RDBMSLIB)nmliblist
NMLIBS=`$(CAT) $(NMLIBLIST)`

LIBMMNAME=mm
LIBMM=$(LIBHOME)$(LIB_PREFIX)$(LIBMMNAME).$(LIB_EXT)
LLIBMM=$(LDLIBFLAG)$(LIBMMNAME)


LIBRDBMS_CLT=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTC) $(LIBCOMMON) \
	$(LIBGENERIC)
LLIBRDBMS_CLT=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTC) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBRDBMS_SERVER=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTCSERVER) \
	$(LIBCOMMON) $(LIBGENERIC)
LLIBRDBMS_SERVER=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTCSERVER) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBCLNTSHNAME=clntsh
LIBCLNTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSHNAME).$(SO_EXT)
LLIBCLNTSH=$(LDLIBFLAG)$(LIBCLNTSHNAME)

LIBAGTSHNAME=agtsh
LIBAGTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBAGTSHNAME).$(SO_EXT)
LLIBAGTSH=$(LDLIBFLAG)$(LIBAGTSHNAME)

LIBSHWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(SO_EXT)
LLIBSHWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBKNLOPTNAME=knlopt
LIBKNLOPT=$(RDBMSLIB)$(LIB_PREFIX)$(LIBKNLOPTNAME).$(LIB_EXT)
LLIBKNLOPT=$(LDLIBFLAG)$(LIBKNLOPTNAME)

CONFIG = $(RDBMSLIB)config.$(OBJ_EXT)



LLIBORDSDO=$(LDLIBFLAG)$(LIBORDSDONAME)$(LIB_SUFFIX)
SDOLIBS = `if ${AR} tv ${ORACLE_HOME}/rdbms/lib/$(LIB_PREFIX)$(LIBKNLOPTNAME).$(LIB_EXT) | $(GREP) "kxmnsd.o" > /dev/null 2>&1 ; then echo " " ; else echo "${LLIBORDSDO}"; fi`

DEF_ON= $(RDBMSLIB)kpudfo.$(OBJ_EXT)
DEF_OFF= $(RDBMSLIB)kpundf.$(OBJ_EXT)
DEF_OPT= $(RDBMSLIB)defopt.$(OBJ_EXT)

LIBSVRMGRLNAME=svrmgrl
LIBSLPMNAME=slpm
LIBSVRM= $(LIBHOME)smalmain.$(OBJ_EXT) $(LIBHOME)$(LIB_PREFIX)$(LIBSVRMGRLNAME).$(LIB_EXT) $(LIBHOME)$(LIB_PREFIX)$(LIBSLPMNAME).$(LIB_EXT)
LLIBSVRM= $(LIBHOME)smalmain.$(OBJ_EXT) $(LDLIBFLAG)$(LIBSVRMGRLNAME) $(LDLIBFLAG)$(LIBSLPMNAME)

RDBMSHOME=$(ORACLE_HOME)/rdbms/
RDBMSLIB=$(RDBMSHOME)lib/
RDBMSADMIN=$(RDBMSHOME)admin/

# Entering /project/linux/817/src_000822/rdbms/s_exports.mk




SKGXP_EXT=$(LIB_EXT)

# Exiting /project/linux/817/src_000822/rdbms/s_exports.mk
# Exiting /project/linux/817/src_000822/rdbms/exports.mk
# Entering /project/linux/817/src_000822/encryption/exports.mk

ENCRYPTIONHOME  = $(ORACLE_HOME)/encryption/
ENCRYPTIONLIB   = $(ENCRYPTIONHOME)$(LIBDIR)/
ENCRYPTIONJLIB   = $(ENCRYPTIONHOME)jlib/
ENCRYPTIONPUBH  = $(I_SYM)$(ENCRYPTIONHOME)include

VER             =8
BASENAME        =n
CRYPTNAME       =${BASENAME}crypt${VER}
LIBSNS          =$(ENCRYPTIONLIB)$(LIB_PREFIX)$(CRYPTNAME).$(LIB_EXT)

RSASTDNAME	=rsastd
BCERTNAME	=bcert
NZRNAME		=nzr
LIBRSASTD	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(RSASTDNAME).$(LIB_EXT)
LIBBCERT	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(BCERTNAME).$(LIB_EXT)
LIBNZR		=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(NZRNAME).$(LIB_EXT)
ASONAME		=aso$(JDKVER)
JASOJAR		=$(ENCRYPTIONJLIB)$(ASONAME).$(JAR_EXT)

# Entering /project/linux/817/src_000822/encryption/s_exports.mk

# Exiting /project/linux/817/src_000822/encryption/s_exports.mk
# Exiting /project/linux/817/src_000822/encryption/exports.mk
# Entering /project/linux/817/src_000822/network/exports.mk
# Entering /project/linux/817/src_000822/network/s_exports.mk


NAETAB64	= $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS64	= $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB64	= $(LIBHOME)$(NAUTAB_OBJ)


# Exiting /project/linux/817/src_000822/network/s_exports.mk

# Entering /project/linux/817/src_000822/network/libnames.mk


VER         =8
BASENAME    =n
NETWORKLIB  = $(NETWORKHOME)$(LIBDIR)/
NETWORKJLIB = $(NETWORKHOME)jlib/

COMMONNAME=${BASENAME}${VER}
NLNAME=${BASENAME}l${VER}
TCPNAME=${BASENAME}tcp${VER}
DECNETNAME=${BASENAME}dec${VER}
LU62NAME=${BASENAME}lu62${VER}
MBNAME=${BASENAME}mb${VER}
DCENAME=${BASENAME}dce${VER}
BEQNAME=${BASENAME}beq${VER}
IPCNAME=${BASENAME}ipc${VER}
SPXNAME=${BASENAME}spx${VER}
TLINAME=${BASENAME}tli${VER}
TLITNAME=${BASENAME}tlit${VER}
TLISNAME=${BASENAME}tlis${VER}
TLIDNAME=${BASENAME}tlid${VER}
USNAME=${BASENAME}us${VER}
SHMNAME=${BASENAME}shm${VER}
TCPSNAME=${BASENAME}tcps${VER}
ENTRUSTNAME=${BASENAME}ent${VER}
ENTRUSTRNAME=${BASENAME}entr${VER}
NSGRNAME=${BASENAME}sgr${VER}
LSNRNAME=${BASENAME}lsnr${VER}
LSNRCNAME=${BASENAME}lsnrc${VER}
K5NAME=${BASENAME}k5${VER}
RADNAME=${BASENAME}rad${VER}
IDXNAME=${BASENAME}idx${VER}
GSSNAME=${BASENAME}gss${VER}
SIDNAME=${BASENAME}sid${VER}
OSSNAME=${BASENAME}oss${VER}
NTSNAME=${BASENAME}nts${VER}
NSSNAME=${BASENAME}nss${VER}
ONNAME=${BASENAME}on${VER}
ONDNAME=${BASENAME}ond${VER}
ONCNAME=${BASENAME}onc${VER}
ONCJNAME=${BASENAME}oncj${VER}
RONAME=${BASENAME}ro${VER}
ROCNAME=${BASENAME}roc${VER}
ROXNAME=${BASENAME}rox${VER}
ROTNAME=${BASENAME}rot${VER}
CMNAME=${BASENAME}cm${VER}
NHOSTNAME=${BASENAME}host${VER}
TNSNAME=${BASENAME}tns${VER}
ORACLENAME=${BASENAME}oname${VER}
NISNAME=${BASENAME}nis${VER}
CDSNAME=${BASENAME}cds${VER}
NDSNAME=${BASENAME}nds${VER}
LDAPNAME=${BASENAME}ldap${VER}
LDAPJNAME=${BASENAME}ldapj${VER}
SSLBNAME=${BASENAME}sslb${VER}
NUJNINAME=${BASENAME}jni${VER}
NZJSNAME=${BASENAME}zjs${VER}
JSSLNAME=${BASENAME}jssl${VER}
OWMNAME=owm2

NMPNAME=${BASENAME}nmp${VER}

TANAME=${BASENAME}ta${VER}
TALNAME=${BASENAME}tal${VER}
TNSAPINAME=tnsapi${VER}

LDAPCLNTNAME=ldapclnt${VER}

NZRNAME=nzr



SNLPTDUM         =  $(NETWORKLIB)snlptdum.$(OBJ_EXT) 
OSNTABST         = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT            = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

LIBNETWORK	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBTHINNCR       =  $(NETWORKLIB)$(LIB_PREFIX)$(ROTNAME).$(LIB_EXT)

LIBONCJ          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(SO_EXT)
LIBNUJNI         =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(SO_EXT)
LIBJSSL          =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(SO_EXT)
LIBOWM           =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(SO_EXT)
LIBLDAPJ         =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(SO_EXT)
LOC_LIBONCJ      =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(LIB_EXT)
LOC_LIBOWM       =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(LIB_EXT)
LOC_LIBJSSL      =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(LIB_EXT)
LOC_LIBLDAPJ     =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(LIB_EXT)

LIBNCR           =  $(NETWORKLIB)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LIBNFP           =  $(NETWORKLIB)$(LIB_PREFIX)$(CMNAME).$(LIB_EXT)
LIBNI            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCC          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCNAME).$(LIB_EXT)
LIBNND           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONDNAME).$(LIB_EXT)
LIBNNO           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONNAME).$(LIB_EXT)
LIBNSGR          =  $(NETWORKLIB)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LIBNSGL          =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRNAME).$(LIB_EXT)
LIBNSGLC         =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRCNAME).$(LIB_EXT)

LLIBNCR           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)
LLIBNFP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CMNAME)$(ILIB_SUFFIX)
LLIBNI            =  $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)
LLIBNNCC          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONCNAME)$(ILIB_SUFFIX)
LLIBNND           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONDNAME)$(ILIB_SUFFIX)
LLIBNNO           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONNAME)$(ILIB_SUFFIX)
LLIBNSGR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)
LLIBNSGL          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRNAME)$(ILIB_SUFFIX)
LLIBNSGLC         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRCNAME)$(ILIB_SUFFIX)

LIBNAUK5         =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(LIB_EXT)
LIBNAUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(SIDNAME).$(LIB_EXT)
LIBNAUR          =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(LIB_EXT)
LIBNAUI          =  $(NETWORKLIB)$(LIB_PREFIX)$(IDXNAME).$(LIB_EXT)
LIBNAUG          =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(LIB_EXT)
LIBNAUZ          =  $(NETWORKLIB)$(LIB_PREFIX)$(OSSNAME).$(LIB_EXT)
LIBNAUNTS        =  $(NETWORKLIB)$(LIB_PREFIX)$(NTSNAME).$(LIB_EXT)

LLIBNAUK5         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(K5NAME)$(ILIB_SUFFIX)
LLIBNAUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SIDNAME)$(ILIB_SUFFIX)
LLIBNAUR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RADNAME)$(ILIB_SUFFIX)
LLIBNAUI          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(IDXNAME)$(ILIB_SUFFIX)
LLIBNAUG          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(GSSNAME)$(ILIB_SUFFIX)
LLIBNAUZ          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(OSSNAME)$(ILIB_SUFFIX)
LLIBNAUNTS        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NTSNAME)$(ILIB_SUFFIX)



LIBNTT           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LIBNTZ           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME).$(LIB_EXT)
LIBNTZSTUB       =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME)_std.$(LIB_EXT)
LIBNTZE          =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(LIB_EXT)
LIBNTZER         =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTRNAME).$(LIB_EXT)
LIBNTS           =  $(NETWORKLIB)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LIBNTD           =  $(NETWORKLIB)$(LIB_PREFIX)$(DECNETNAME).$(LIB_EXT)
LIBNTOD          =  $(NETWORKLIB)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LIBCDS           =  $(NETWORKLIB)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LIBNTLU62        =  $(NETWORKLIB)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LIBNTTLI	 =  $(NETWORKLIB)$(LIB_PREFIX)$(TLINAME).$(LIB_EXT)
LIBNTUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(USNAME).$(LIB_EXT)
LIBNTSHM         =  $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME).$(LIB_EXT)
LIBNTP           =  $(NETWORKLIB)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNTNP          =  $(NETWORKLIB)$(LIB_PREFIX)$(NMPNAME).$(LIB_EXT)

LLIBNTT           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)
LLIBNTZ           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPSNAME)$(ILIB_SUFFIX)
LLIBNTZE          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ENTRUSTNAME)$(ILIB_SUFFIX)
LLIBNTS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)
LLIBNTD           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DECNETNAME)$(ILIB_SUFFIX)
LLIBNTOD          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)
LLIBCDS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)
LLIBNTLU62        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)
LLIBNTTLI	 =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TLINAME)$(ILIB_SUFFIX)
LLIBNTUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(USNAME)$(ILIB_SUFFIX)
LLIBNTSHM        = $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME)$(ILIB_SUFFIX)
LLIBNTP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(BEQNAME)$(ILIB_SUFFIX)
LLIBNTNP          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NMPNAME)$(ILIB_SUFFIX)

LIBNL1           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBNL2           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)

LIBNL            =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LLIBNL           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NLNAME)$(ILIB_SUFFIX)


LIBNUAPI         =  $(NETWORKLIB)$(LIB_PREFIX)$(TANAME).$(LIB_EXT)
LIBNULOCAL       =  $(NETWORKLIB)$(LIB_PREFIX)$(TALNAME).$(LIB_EXT)

LLIBNUAPI         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL       =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)


LLIBTNSAPI       = $(LDLIBFLAG)$(ILIB_PREFIX)$(TNSAPINAME)$(ILIB_SUFFIX)
LLIBNUAPI	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)
LLIBSSL          = #$(LDLIBFLAG)$(ILIB_PREFIX)sslref-bsafe$(ILIB_SUFFIX)
LLIBSSLB         = $(LDLIBFLAG)$(ILIB_PREFIX)$(SSLBNAME)$(ILIB_SUFFIX)
LLIBNZJS 	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(NZJSNAME)$(ILIB_SUFFIX)


LIBNA            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAE           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAU           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNLNV          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMP           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCI          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNFG          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNG           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNPL           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNR            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNS            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNTR           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNZ            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMS0          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBSSLREF 	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)


LIBTNSAPI        =  $(NETWORKLIB)$(LIB_PREFIX)$(TNSAPINAME).$(LIB_EXT)

LIBSSLB          =  $(NETWORKLIB)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)

LIBNZJS          =  $(NETWORKLIB)$(LIB_PREFIX)$(NZJSNAME).$(LIB_EXT)

LDAPSYSLIBD = $(LIBHOME)$(LIB_PREFIX)$(LDAPCLNTNAME).$(LIB_EXT)
LDAPSYSLIBS = $(LDLIBFLAG)$(ILIB_PREFIX)$(LDAPCLNTNAME)$(ILIB_SUFFIX)

# Exiting /project/linux/817/src_000822/network/libnames.mk

# Entering /project/linux/817/src_000822/buildtools/mkfile/prefix.mk

# Entering /project/linux/817/src_000822/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
LIB_EXT=a
CC_EXT=cpp
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql
SYM_EXT=sym
JAVA_EXT=java
CLASS_EXT=class
JAR_EXT=jar
ZIP_EXT=zip

LIB_PREFIX=lib
LDLIBFLAG=-l
LDPATHFLAG=-L
PATHSEP= :

AR=ar
AS=as
AWK=awk
CAT=cat
CC=cc
CCC=CC
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MKDIRP=mkdir -p
MV=mv
NM=nm
PERL=perl
RM=rm
RMF=rm -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
TR=tr
XARGS=xargs
LS=ls

BINHOME=$(ORACLE_HOME)/bin/
LIBDIR=lib
LIBHOME=$(ORACLE_HOME)/$(LIBDIR)/

PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODLIBHOME=$(PRODHOME)$(LIBDIR)/
PRODSOHOME=$(PRODLIBHOME)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENAGTSH=$(BINHOME)genagtsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab

ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? $(RANLIB)

JARCHIVE_OBJ=$(JAR) cv0f $@ $(JPKG_FILES) $(EXTRA_CLASS_FILES)
JARCREATE=$(JAR) cv0f
JARDELETE=$(ECHO) "no such thing"
JAREXTRACT=$(JAR) xf
JARPRINT=$(JAR) tvf
JARREPLACE=$(JAR) uf

MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGS) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
CFLAGSCC=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGSCC) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS)

LD_SHARED_FLAG=$(SHARED_CFLAG)

LDCCOM=$(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
LDCCOMCC=$(PURECMDS) $(CCC) $(GFLAG) $(CCFLAGSCC) $(EXOSFLAGS) $(LDFLAGS)
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)
LINK=$(LDCCOM)
LINKCC=$(LDCCOMCC)
LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME) $(LDPATHFLAG)$(LIBHOME)/stubs/ 
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
LINKLDLIBS=$(LDLIBS)
COBLDLIBS=$(LDLIBS)

SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`

NAETTOBJS=$(NAUTAB) $(NAETAB) $(NAEDHS)
TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
ORACLETTLIBS1=$(NTZEOBJ) $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBWTC) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
       $(LLIBRDBMS_CLT) $(CORELIBS)
ORACLETTLIBS=$(KPUADEF) $(ORACLETTLIBS1)
STATICTTLIBS=$(ORACLETTLIBS) $(LDLIBS)
TTLIBS=$(LLIBCLNTSH) $(STATICTTLIBS)
DEVTTLIBS=$(TTLIBS)
LINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(LINKLDLIBS)
COBTTLIBS=$(ORACLETTLIBS) $(COBLDLIBS)

STATIC_ORACLETTLIBS=$(KPUADEF) $(NTZEOBJ) $(NETLIBS) $(LIBRDBMS_CLT) \
    $(LIBMM) $(CORELIBS) $(NETLIBS) $(LIBRDBMS_CLT) $(LIBPLS_CLT) \
    $(LIBEPC) $(CORELIBS) $(LIBRDBMS_CLT) $(CORELIBS)

ORACLESTLIBS=$(SGL_ON) $(RDBMSLIB)kpuasvr.$(OBJ_EXT) $(CONFIG) $(LLIBSERVER) $(LLIBSKGXP) $(LLIBPLSF) \
       $(LLIBSLAX) \
       $(LIBGENERIC) $(LLIBCLIENT) $(LLIBWTC) $(LLIBMM) $(LLIBKNLOPT) $(LLIBPLSB)\
       $(LLIBSERVER) $(LLIBEXTP) $(NAUTAB) $(NAETAB) $(NAEDHS) $(NTZEOBJ) \
       $(NETLIBS) $(LLIBCLIENT) \
       $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
       $(LLIBJAVAVMORJOX) \
       $(NETLIBS) $(LLIBEPC) $(SDOLIBS) $(LLIBCORE) $(LLIBVSN) $(LLIBCOMMON)\
       $(LIBGENERIC) $(LLIBKNLOPT) $(NMLIBS) $(CARTLIBS) $(CORELIBS) $(LLIBWWG)
STLIBS=$(ORACLESTLIBS) $(LDLIBS)
LINKSTLIBS=$(ORACLESTLIBS) $(LINKLDLIBS)

I_SYM=-I

# Exiting /project/linux/817/src_000822/buildtools/mkfile/defs.mk
# Entering /project/linux/817/src_000822/buildtools/mkfile/platform.mk

FAMILY=unix
PLATFORM=linux

STATIC_ORACLETTLIBS=$(LLIBCLNTST) $(LDFLAGSLIST)

MOTIFHOME=
OPENWINHOME=
GUILIBHOME= 

DIRSEP=/


GMAKE=make
LMAKE=make
FIND=/usr/bin/find 
PS=ps -feda

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $? ; $(RANLIB) $(LIB) ; else echo ""; fi`

JARCHIVE=@`if echo ${JLIB} | egrep '\.jar' > /dev/null 2>&1;then $(JARCREATE) $(JLIB) $? ; else echo ""; fi`

GROUP=/etc/group

LINK=$(PURECMDS) gcc $(LDFLAGS) $(COMPOBJS)

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm -lXext -lX11 -lm
XLIBS=
EXOSFLAGS=

COMPOBJS=

SHAREDLIBPATH = -Wl,-rpath,$(ORACLE_HOME)/lib
EXSYSLIBS=-ldl

LLPPATH=$(LD_LIBRARYPATH)
LINKEXSYSLIBS= $(SHAREDLIBPATH):/lib:/usr/lib

LINKLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(LINKEXSYSLIBS) $(MATHLIB) $(USRLIBS) $(LDLIBS)

OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZE=$(OPTIMIZE3)
OPTIMIZE0=-O0
OPTIMIZEG=-g

ROFLAGS=-c
SPFLAGS=-DLINUX -D_GNU_SOURCE -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DNS_THREADS

AR=/usr/bin/ar
AS=/usr/bin/as
LD=/usr/bin/ld
NM=/usr/bin/nm
TR=/bin/tr
CPP=/lib/cpp
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

KPIC_OPTION=-fPIC

CCC=/usr/bin/g++

ASFLAGS=
ASPFLAGS=
NOKPIC_ASFLAGS=
ASRO=$(AS) $<
ASROFLAGS=$(ASFLAGS)

ANSI=-ansi

COMPXA=$(subst -ansi,,$(COMPO))
COMPXACC=$(subst -ansi,,$(COMPOCC))


MR=
NOKPIC_CCFLAGS=
CCFLAGS= $(NOKPIC_CCFLAGS) $(KPIC_OPTION)
FASTCCFLAGS= $(NOKPIC_CCFLAGS)

SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

# Exiting /project/linux/817/src_000822/buildtools/mkfile/platform.mk
# Entering /project/linux/817/src_000822/buildtools/mkfile/rules.mk
 
# Exiting /project/linux/817/src_000822/buildtools/mkfile/rules.mk
# Exiting /project/linux/817/src_000822/buildtools/mkfile/prefix.mk

# Entering /project/linux/817/src_000822/encryption/exports.mk

ENCRYPTIONHOME  = $(ORACLE_HOME)/encryption/
ENCRYPTIONLIB   = $(ENCRYPTIONHOME)$(LIBDIR)/
ENCRYPTIONJLIB   = $(ENCRYPTIONHOME)jlib/
ENCRYPTIONPUBH  = $(I_SYM)$(ENCRYPTIONHOME)include

VER             =8
BASENAME        =n
CRYPTNAME       =${BASENAME}crypt${VER}
LIBSNS          =$(ENCRYPTIONLIB)$(LIB_PREFIX)$(CRYPTNAME).$(LIB_EXT)

RSASTDNAME	=rsastd
BCERTNAME	=bcert
NZRNAME		=nzr
LIBRSASTD	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(RSASTDNAME).$(LIB_EXT)
LIBBCERT	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(BCERTNAME).$(LIB_EXT)
LIBNZR		=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(NZRNAME).$(LIB_EXT)
ASONAME		=aso$(JDKVER)
JASOJAR		=$(ENCRYPTIONJLIB)$(ASONAME).$(JAR_EXT)

# Entering /project/linux/817/src_000822/encryption/s_exports.mk

# Exiting /project/linux/817/src_000822/encryption/s_exports.mk
# Exiting /project/linux/817/src_000822/encryption/exports.mk

NETWORKHOME  = $(ORACLE_HOME)/network/
NETWORKADMIN = $(NETWORKHOME)admin/
NETWORKINSTALL  = $(NETWORKHOME)install/
NETWORKDEMO     = $(NETWORKHOME)demo/

# Entering /project/linux/817/src_000822/network/adapters.mk

# Entering /project/linux/817/src_000822/network/s_adapters.mk

# Exiting /project/linux/817/src_000822/network/s_adapters.mk

# Exiting /project/linux/817/src_000822/network/adapters.mk

LIBNTTCP     = $(LIBHOME)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LLIBNTTCP    = $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)

LIBNTOD      = $(LIBHOME)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LLIBNTOD     = $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)

LIBCDS      = $(LIBHOME)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LLIBCDS     = $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)

LIBNTLU62    = $(LIBHOME)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LLIBNTLU62   = $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)

LIBNTS       = $(LIBHOME)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LLIBNTS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)

LIBNETWORK   = $(LIBHOME)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LLIBNETWORK  = $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)

LIBNSGR      = $(LIBHOME)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LLIBNSGR     = $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)

LIBSQLNET  = $(LDFLAGSLIST) $(ANOLIBD) $(PROTOCOLLIBD) $(NATIVELIBD) $(NATIVESYSLIBD) $(LIBNSGR) $(LIBNZJS) $(LIBNETWORK) $(LIBNL)
LLIBSQLNET = $(LDFLAGSLIST) $(ANOLIBS) $(PROTOCOLLIBS) $(NATIVELIBS) $(NATIVESYSLIBS) $(LLIBNSGR) $(LLIBNZJS) $(LLIBNETWORK) $(LLIBNL)

LIBRPC       = $(LIBHOME)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LLIBRPC      = $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)

TNSLSNR	     = $(BINHOME)tnslsnr$(EXE_SUFFIX)
LSNRCTL	     = $(BINHOME)lsnrctl$(EXE_SUFFIX)
NAMES	     = $(BINHOME)names$(EXE_SUFFIX)
NAMESCTL     = $(BINHOME)namesctl$(EXE_SUFFIX)

NIGTAB       = $(LIBHOME)nigtab.$(OBJ_EXT)
NIGCON       = $(LIBHOME)nigcon.$(OBJ_EXT) 
NTCONTAB     = $(LIBHOME)ntcontab.$(OBJ_EXT)
MTS_NCR	     = $(LIBHOME)ncrstab.$(OBJ_EXT)

OSNTABST     = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT        = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

NAETAB       = $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS	     = $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB_OBJ   = nautab.$(OBJ_EXT)
NAUTAB	     = $(LIBHOME)$(NAUTAB_OBJ)

NETLIBS      = $(LLIBSQLNET) $(LLIBRPC) $(LLIBSQLNET)
NETLIBD      = $(LIBSQLNET) $(LIBRPC)

LDFLAGSFILE=$(LIBHOME)ldflags
LDFLAGSLIST=`$(CAT) $(LDFLAGSFILE)`

LIBNTP       = $(LIBHOME)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNL        = $(LIBHOME)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBSSLB      = $(LIBHOME)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)


# Exiting /project/linux/817/src_000822/network/exports.mk
# Entering /project/linux/817/src_000822/plsql/exports.mk

VERSION=8

WRAP=$(BINHOME)wrap

LIBPLSNAME=pls
LIBPLSN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(VERSION).$(LIB_EXT)
LLIBPLS=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION) 
LIBPLSNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(SO_EXT)
ILIBPLSN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(ILIB_EXT)
LIBPLPNAME=plp
LIBPLPN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(VERSION).$(LIB_EXT)
LLIBPLP=$(LDLIBFLAG)$(LIBPLPNAME)$(VERSION)
LIBPLPNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(SO_EXT)
ILIBPLPN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(ILIB_EXT)
LIBPLCNAME=plc
LIBPLCN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(VERSION).$(LIB_EXT)
LLIBPLC=$(LDLIBFLAG)$(LIBPLCNAME)$(VERSION)
LIBPLCSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(SO_EXT)
ILIBPLCN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(ILIB_EXT)

LIBEXTP=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(VERSION).$(LIB_EXT)
LLIBEXTP=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION)

LIBPLSF=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(VERSION).$(LIB_EXT) 
LLIBPLSF=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION) $(LDLIBFLAG)$(LIBPLPNAME)$(VERSION)

LIBPLSB=$(LIBHOME)$(LIBPLSNAME)$(VERSION)
LLIBPLSB=$(LDLIBFLAG)$(LIBPLSNAME)$(VERSION)

PLSQLLIBS=$(LIBPLSN) $(LIBPLPN)
LPLSQLLIBS=$(LLIBPLS)


LLIBPLSQL= $(LPLSQLLIBS) $(LLIBPLP)

LIBPSANAME=psa
LIBICD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(VERSION).$(LIB_EXT)
LLIBICD=$(LDLIBFLAG)$(LIBPLPNAME)$(VERSION)
LIBPSD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(VERSION).$(LIB_EXT)
LLIBPSD=$(LDLIBFLAG)$(LIBPLCNAME)$(VERSION)
LIBPSA=$(LIBHOME)$(LIB_PREFIX)$(LIBPSANAME)$(VERSION).$(LIB_EXT)
LLIBPSA=$(LDLIBFLAG)$(LIBPSANAME)$(VERSION)

PLSQLHOME=$(ORACLE_HOME)/plsql/

# Entering /project/linux/817/src_000822/plsql/s_exports.mk
 
# Exiting /project/linux/817/src_000822/plsql/s_exports.mk
# Exiting /project/linux/817/src_000822/plsql/exports.mk
# Entering /project/linux/817/src_000822/otrace/exports.mk

LIBTRACENAME=trace8
LIBTRACE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBTRACE=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)
LIBEPC=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBEPC=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)

LIBTRACEPTNAME=tracept8
LIBTRACEPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBTRACEPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)
LIBEPCPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBEPCPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)

LIBTRACEFENAME=tracefe8
LIBTRACEFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBTRACEFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)
LIBEPCFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBEPCFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)

LIBTRACEPLSNAME=tracepls8
LIBTRACEPLS=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPLSNAME).$(LIB_EXT)
LLIBTRACEPLS=$(LDLIBFLAG)$(LIBTRACEPLSNAME)$(LIB_SUFFIX)
LIBEPCPLS=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPLSNAME).$(LIB_EXT)
LLIBEPCPLS=$(LDLIBFLAG)$(LIBTRACEPLSNAME)$(LIB_SUFFIX)

# Entering /project/linux/817/src_000822/otrace/s_exports.mk

# Exiting /project/linux/817/src_000822/otrace/s_exports.mk
# Exiting /project/linux/817/src_000822/otrace/exports.mk
# Entering /project/linux/817/src_000822/javavm/exports.mk
LIBJAVAVM=$(LIBHOME)$(LIB_PREFIX)aurora.$(LIB_EXT)
LLIBJAVAVM=$(LDLIBFLAG)aurora

# Entering s_exports.mk
# Exiting s_exports.mk
# Exiting /project/linux/817/src_000822/javavm/exports.mk

PRODUCT=ctx
PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
CTXHOME=$(PRODHOME)
CTXLIB=$(CTXHOME)lib/
CTXADMIN=$(CTXHOME)admin/
CTXADMINDEF=$(CTXADMIN)defaults/

# Entering /project/linux/817/src_000822/ctx/exports.mk



LIBCTXS8NAME=ctxs8
LIBCTXS8 = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXS8NAME).$(LIB_EXT)
LLIBCTXS8 = $(LDLIBFLAG)$(LIBCTXS8NAME)$(LIB_SUFFIX)

LIBCTXWKLNAME=wkl
LIBCTXWK = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXWKLNAME).$(LIB_EXT)
LLIBCTXWKL = $(LDLIBFLAG)$(LIBCTXWKLNAME)$(LIB_SUFFIX)

LIBCTXC8NAME=ctxc8
LIBCTXC8 = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXC8NAME).$(LIB_EXT)
LLIBCTXC8 = $(LDLIBFLAG)$(LIBCTXC8NAME)$(LIB_SUFFIX)

LIBCTX8NAME=ctx8
LIBCTX8 = $(CTXLIB)$(LIB_PREFIX)$(LIBCTX8NAME).$(LIB_EXT)
LLIBCTX8 = $(LDLIBFLAG)$(LIBCTX8NAME)$(LIB_SUFFIX)
 
LIBZX8NAME=zx8
LIBZX8 = $(CTXLIB)$(LIB_PREFIX)$(LIBZX8NAME).$(LIB_EXT)
LLIBZX8 = $(LDLIBFLAG)$(LIBZX8NAME)$(LIB_SUFFIX)
 
LIBGX8NAME=gx8
LIBGX8 = $(CTXLIB)$(LIB_PREFIX)$(LIBGX8NAME).$(LIB_EXT)
LLIBGX8 = $(LDLIBFLAG)$(LIBGX8NAME)$(LIB_SUFFIX)
 
CTX_LINK = $(LLIBCTXC8) $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8) $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8)

CTXHOME=$(ORACLE_HOME)/ctx/

CTXPUBH=$(I_SYM)$(CTXHOME)public

CTXLIB=$(CTXHOME)lib/

# Entering /project/linux/817/src_000822/ctx/s_exports.mk
# Exiting /project/linux/817/src_000822/ctx/s_exports.mk
# Exiting /project/linux/817/src_000822/ctx/exports.mk

DRZ=$(CTXLIB)drz.$(OBJ_EXT)
 
GXUT=$(CTXLIB)gxut.$(OBJ_EXT)
 
DRT=$(CTXLIB)drt.$(OBJ_EXT) $(CTXLIB)drtl.$(OBJ_EXT)

TDRT=$(CTXLIB)tdrt.$(OBJ_EXT) $(CTXLIB)tdrtx.$(OBJ_EXT)

DRTX=$(CTXLIB)drtx.$(OBJ_EXT)

TDRTXP=$(CTXLIB)tdrtxp.$(OBJ_EXT)



CTXINCLUDE=$(CTXHOME)include/
CTXBIN=$(CTXHOME)bin/
CTXINSTALL=$(CTXHOME)install/
CTXMESG=$(CTXHOME)mesg/

CTXSRV=$(CTXBIN)ctxsrv$(EXE_SUFFIX)
CTXLOAD=$(CTXBIN)ctxload$(EXE_SUFFIX)
CTXKBTC=$(CTXBIN)ctxkbtc$(EXE_SUFFIX)
CTXTEST=$(CTXBIN)ctxtest$(EXE_SUFFIX)
CTXROBOT=$(CTXBIN)ctxrbt$(EXE_SUFIX)
KBTC_OBJS=$(GXUT) $(CTXLIB)gxutf.$(OBJ_EXT) $(CTXLIB)gxutp.$(OBJ_EXT) $(CTXLIB)gxuts.$(OBJ_EXT) $(CTXLIB)gxutt.$(OBJ_EXT) $(CTXLIB)gxutw.$(OBJ_EXT)

PSRV=$(CTXBIN)psrv$(EXE_SUFFIX)
PLOAD=$(CTXBIN)pload$(EXE_SUFFIX)
PTEST=$(CTXBIN)ptest$(EXE_SUFFIX)
PCTXKBTC=$(CTXBIN)pkbtc$(EXE_SUFFIX)

PCSRV=$(CTXBIN)pcsrv$(EXE_SUFFIX)
PCTEST=$(CTXBIN)pctest$(EXE_SUFFIX)

THREADLIBS=$(LLIBTHREAD)

DR_LINK = $(LLIBCTXS8) $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8) \
          $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8) \
          $(DEF_OPT) $(SQLLIBS) $(LINKTTLIBS)

WK_LINK = $(LLIBCTXWKL) $(LLIBCTXS8) $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8) \
          $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8) \
          $(DEF_OPT) $(SQLLIBS) $(LINKTTLIBS)
 
DR_LINK_TEST = $(LLIBTDR) $(LLIBCTXS8) $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8) \
          $(LLIBCTX8) $(LLIBZX8) $(LLIBGX8) \
          $(DEF_OPT) $(SQLLIBS) $(LINKTTLIBS) $(LLIBTHREAD)
 

CTXKBTC_LINKLINE=$(LINK) $(KBTC_OBJS) $(DR_LINK)

CTXLOAD_LINKLINE=$(LINK) $(DRZ) $(DR_LINK)

CTXSRV_LINKLINE=$(LINK) $(DRT) $(DR_LINK)

ACRO_LINKLINE=$(LINK) $(CTXSRCPDF)src/acro.$(OBJ_EXT) $(PDF_LINK) $(USRLIBS)

CTXHX_LINKLINE=$(LINK) $(CTXSRCINSO)src/ctxhx.$(OBJ_EXT) $(INSO_LINK) $(USRLIBS)

CTXX_LINKLINE=$(LINK) $(CTXX_ENTRY) $(SHARED_LDFLAG) $(DRTX) $(DR_LINK) $(DR_SHARE_LINK)

TDRXX_LINKLINE=$(LINK) $(TDRXX_ENTRY) $(SHARED_LDFLAG) $(TDRTXP) $(DR_LINK) $(DR_SHARE_LINK)

CTXSVC_LINKLINE=$(LINK) $(DRSVC) $(DR_LINK)

# Entering /project/linux/817/src_000822/ctx/s_ctx.mk
RANLIBKNLOPT=
RANLIBORA=
KPIC=
WIN32COMMON=
ACROENV=-DUNIX_ENV=1 $(CTXPUBH) $(XS)
OTHERST=
GENARGS=-n F
LDFLAGS_ORA=
LIBLISTCTX=
CTXX_ENTRY=
TDRXX_ENTRY=
DR_SHARE_LINK=
LLAIO=
LLIBTHREAD=

PERL=/usr/bin/perl

CTXHX=ctxhxx
LIBCTXHXNAME=ctxhx
LLIBCTXHX = $(LDLIBFLAG)$(LIBCTXHXNAME)
CTXHX_LINKLINE=$(LINK) $(CTXLIB)ctxhx.$(OBJ_EXT) $(INSO_LINK) $(USRLIBS) -ldl

INSO_LINK = -Wl,-rpath,$(CTXLIB) $(LDLIBFLAG)m $(LDLIBFLAG)sc_fa $(LDLIBFLAG)sc_fi $(LDLIBFLAG)sc_ch $(LDLIBFLAG)sc_ut $(LDLIBFLAG)sc_ex $(LDLIBFLAG)sc_da $(LLIBCTXHX) $(LDLIBFLAG)m $(LDLIBFLAG)c $(CORELIBS)
ictxhx: $(CTXHX)
	-mv -f $(ORACLE_HOME)/ctx/bin/ctxhx $(ORACLE_HOME)/ctx/bin/ctxhxO
	-mv ctxhx $(ORACLE_HOME)/ctx/bin/ctxhx
	-chmod 751 $(ORACLE_HOME)/ctx/bin/ctxhx

$(CTXHX):
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) "Linking $@"
	$(RMF) $@
	$(CTXHX_LINKLINE)
	$(CHMOD) 755 $@
	-mv $(CTXHX) ctxhx
	$(SILENT)$(ECHO) "Linking $@ complete"



# Exiting /project/linux/817/src_000822/ctx/s_ctx.mk
# Exiting ctx.mk
# Entering /project/linux/817/src_000822/buildtools/mkfile/libclntsh.mk
$(LIBCLNTSH):	${ORACLE_HOME}/lib/libclient8.a	${ORACLE_HOME}/lib/libsql8.a \
		${ORACLE_HOME}/lib/libntcp8.a	${ORACLE_HOME}/lib/libn8.a \
                ${ORACLE_HOME}/lib/libnl8.a	${ORACLE_HOME}/lib/libnldap8.a \
                ${ORACLE_HOME}/lib/libnhost8.a	${ORACLE_HOME}/lib/libntns8.a \
                ${ORACLE_HOME}/lib/libnoname8.a	${ORACLE_HOME}/lib/libnus8.a \
                ${ORACLE_HOME}/lib/libntcps8.a  ${ORACLE_HOME}/lib/libnro8.a \
	        ${ORACLE_HOME}/lib/libnsslb8.a	${ORACLE_HOME}/lib/libcommon8.a\
	        ${ORACLE_HOME}/lib/libgeneric8.a ${ORACLE_HOME}/lib/libmm.a\
	        ${ORACLE_HOME}/lib/libnls8.a	${ORACLE_HOME}/lib/libcore8.a\
		${ORACLE_HOME}/lib/libtrace8.a  ${ORACLE_HOME}/lib/libwtc8.$(SO_EXT)\
		${ORACLE_HOME}/rdbms/lib/xaondy.o
	$(SILENT)$(ECHO) "Building client shared library libclntsh.so ..."
	$(SILENT)$(ECHO) "Call script $$ORACLE_HOME/bin/genclntsh ..."
	$(GENCLNTSH)
	$(SILENT)$(ECHO) "Built $$ORACLE_HOME/lib/libclntsh.so ... DONE"

# Exiting /project/linux/817/src_000822/buildtools/mkfile/libclntsh.mk
